cURL
curl -X PATCH 'https://api.gumloop.com/api/v1/skills/skill_x7y8z9' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-F 'files=@./lead-enrichment.skill;type=application/zip'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
with open("lead-enrichment.skill", "rb") as fh:
response = client.skills.update(
"skill_x7y8z9",
files=[("lead-enrichment.skill", fh.read(), "application/zip")],
)
print(response.skill.version_id)const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.gumloop.com/api/v1/skills/{skill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill": {
"id": "skill_x7y8z9",
"name": "Lead enrichment",
"description": "Enriches inbound leads with firmographics and intent signals.",
"team_id": "team_4f8c92ab",
"created_at": "2026-05-15T14:32:00Z",
"updated_at": "2026-05-19T11:42:00Z",
"metadata": {
"related_server_ids": [
"apollo"
]
},
"usage_count": 42,
"view_count": 117,
"last_used_at": "2026-05-18T22:01:00Z",
"version_id": "sv_b9c8d7e6",
"major_version": 4,
"is_deployed": false,
"version_created_at": "2026-05-19T11:42:00Z",
"creator": {
"id": "user_2b9d71f0",
"first_name": "Ada",
"last_name": "Lovelace",
"email": "ada@example.com",
"profile_picture": null
}
}
}Update skill
Replace a skill’s files with a new upload. Reparses SKILL.md to update the skill’s name, description, and metadata, and creates a new version. Maximum upload size is 10 MB.
PATCH
/
skills
/
{skill_id}
cURL
curl -X PATCH 'https://api.gumloop.com/api/v1/skills/skill_x7y8z9' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-F 'files=@./lead-enrichment.skill;type=application/zip'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
with open("lead-enrichment.skill", "rb") as fh:
response = client.skills.update(
"skill_x7y8z9",
files=[("lead-enrichment.skill", fh.read(), "application/zip")],
)
print(response.skill.version_id)const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.gumloop.com/api/v1/skills/{skill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill": {
"id": "skill_x7y8z9",
"name": "Lead enrichment",
"description": "Enriches inbound leads with firmographics and intent signals.",
"team_id": "team_4f8c92ab",
"created_at": "2026-05-15T14:32:00Z",
"updated_at": "2026-05-19T11:42:00Z",
"metadata": {
"related_server_ids": [
"apollo"
]
},
"usage_count": 42,
"view_count": 117,
"last_used_at": "2026-05-18T22:01:00Z",
"version_id": "sv_b9c8d7e6",
"major_version": 4,
"is_deployed": false,
"version_created_at": "2026-05-19T11:42:00Z",
"creator": {
"id": "user_2b9d71f0",
"first_name": "Ada",
"last_name": "Lovelace",
"email": "ada@example.com",
"profile_picture": null
}
}
}Authorizations
Path Parameters
ID of the skill to update.
Body
multipart/form-data
One or more file parts containing the new skill contents. Same shape as the create endpoint — must include a SKILL.md. Total upload must not exceed 10 MB.
Response
Skill updated. The returned version_id and major_version reflect the new version that was created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
